Summary: 	A free ATSC A/52 stream decoder
Name: 		a52dec
Version: 	0.7.4
Release: 	0.lvn.7.3
Epoch:		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://liba52.sourceforge.net/
Source0: 	http://liba52.sourceforge.net/files/%{name}-%{version}.tar.gz
Patch0:		a52dec-configure-optflags.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	djbfft-devel, %{__perl}

%package devel
Summary:	Development files needed for a52dec
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	djbfft-devel

#---------------------------------------------------------------------

%description
liba52 is a free library for decoding ATSC A/52 streams. The A/52
standard is used in a variety of applications, including digital
television and DVD. It is also known as AC-3. The package also
includes a52dec, a small test program for liba52.

%description devel
liba52 is a free library for decoding ATSC A/52 streams. The A/52
standard is used in a variety of applications, including digital
television and DVD. It is also known as AC-3.
This package contains development files for a52dec.

#---------------------------------------------------------------------

%prep
%setup -q
%patch0
%{__perl} -pi -e 's/-prefer-non-pic\b/-prefer-pic/' \
  configure liba52/configure.incl

#---------------------------------------------------------------------

%build
%configure --enable-shared --enable-djbfft
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%exclude %{_libdir}/liba52.la
%doc AUTHORS COPYING ChangeLog HISTORY NEWS TODO
%{_libdir}/liba52.so.*
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files devel
%defattr(-,root,root,-)
%doc doc/liba52.txt
%{_includedir}/a52dec
%{_libdir}/liba52.a
%{_libdir}/liba52.so

#---------------------------------------------------------------------

%changelog
* Tue Jul 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.4-0.lvn.7
- Prefer PIC.
- (Build)Require djbfft-devel.
- Include more docs.

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:0.7.4-0.fdr.6
- Removed comment after scriptlets
- buildroot -> RPM_BUILD_ROOT

* Mon Apr 14 2003 Dams <anvil[AT]livna.org> 0:0.7.4-0.fdr.5
- devel package require djbfft (not djbfft-devel)

* Sun Apr 13 2003 Dams <anvil[AT]livna.org> 0:0.7.4-0.fdr.4
- Enabled support for djbfft

* Sun Apr 13 2003 Dams <anvil[AT]livna.org> 0:0.7.4-0.fdr.3
- Added post and postun scriplet
- moved man pages from devel to main package

* Sun Apr 13 2003 Dams <anvil[AT]livna.org> 0:0.7.4-0.fdr.2
- make configure honor optflags
- devel package
- shared library added

* Thu Apr 10 2003 Dams <anvil[AT]livna.org> 
- Initial build.
